#include <SoftwareSerial.h>
#define TxPin 11 // required by SoftwareSerial (PWM capabilities needed)
#define RxPin 10 // required by SoftwareSerial (PWM capabilities needed)
#define el_magnet 7

SoftwareSerial BTSerial(RxPin,TxPin); // instantiate the library

char state = ' '; // define input buffer as char (not empty but a blank)
const int stepPin = 4; 
const int directionPin = 2;

//===============================================================================================
void setup() // done once at reset
{
  pinMode(7,OUTPUT);
  digitalWrite(7,LOW);
  pinMode(8, INPUT);
  pinMode(stepPin,OUTPUT);
  pinMode(directionPin,OUTPUT);
pinMode(RxPin,INPUT); // to be connected to Tx pin of HC05
pinMode(TxPin,OUTPUT); // to be connected to Rx pin of HC05
BTSerial.begin(9600); // supposed baudrate of HC05 (38400 ?)
Serial.begin(9600); // Used to echo on PC monitor the data received on BT

}

//===============================================================================================
void loop() // repeated forever
{
 
  int x = digitalRead(8);
  if(digitalRead(8) == HIGH){
    BTSerial.println('1');
  }
  else BTSerial.println('0');
  delay(100);
if (BTSerial.available()) // any char from BT ?
{

state = BTSerial.read(); // yes, get it
Serial.print("Received : "); // echoes it on the PC screen
Serial.println(state);
if(state=='2') {// the received char to switch off the led
 digitalWrite(directionPin,HIGH);  //npr zatvori
 for(int x = 0; x < 50; x++) {
      digitalWrite(stepPin,HIGH); 
      delayMicroseconds(500);  
      digitalWrite(stepPin,LOW); 
      delayMicroseconds(500);  
 }
}
      
if(state=='3') {// the received char to switch on the led
   digitalWrite(directionPin,LOW); //npr otvori
      for(int x = 0; x < 50; x++) {
      digitalWrite(stepPin,HIGH); 
      delayMicroseconds(500);  
      digitalWrite(stepPin,LOW); 
      delayMicroseconds(500);  
      }
}
 
      
 if(state=='4') {// the received char to switch on the led
   digitalWrite(el_magnet,LOW); 
       
 }      
      
if(state=='5') {// the received char to switch off the led
digitalWrite(el_magnet,HIGH); 
       

     
 }







   
   
   
  

   
    
   
   
   
    
   
      
      
}
}


